Subject: How to clone faster via ssh ?

From: Alexander Litvinov <[email-masked]>
Date: Tue, 25 Oct 2005 14:49:15 +0700

Hello,

I have cvs project imported into git. When unpacked it contains about 205000 
objects. I have made one pack and daily rerun cvsimport to get new changes.

When I do cloning via http it takes less than 3 minutes:
time git-clone -n http://127.0.0.1:8080/git/r/.git r2
real    2m31.062s
user    1m33.562s
sys     0m5.462s

When I do cloning via ssh it takes more than 10 minutes and horde of unpacked 
objects:
Packing 204607 objects
Unpacking 204607 objects
 100% (204607/204607) done

real    13m41.510s
user    1m52.655s
sys     1m5.057s

There are no packs in cloned repo:
ls -la r3/.git/objects/pack/
total 6
drwxr-xr-x    2 lan users   48 Oct 25 13:51 .
drwxr-xr-x  260 lan users 6240 Oct 25 14:05 ..
lan@lan:~/tmp/git/billing

We can't share our project via http - we need authorization for it. Is is 
possible to clone this repo via ssh as http clone does ? Its will be much 
faster and will simplify work with such directory - it is hard to delete it 
after cloning - takes from 5 up to 10 minutes ! Filesystem is reiserfs.

Thanks for help,
Alexander Litvinov.